Notice: In order to edit this ticket you need to be either: a Product Owner, The owner or the reporter of the ticket, or, in case of a Task not yet assigned, a team_member"

Task #11781 (closed)

Opened 7 years ago

Closed 7 years ago

Bug: flex mount points may not be available to the server

Reported by: jamoore Owned by: mlinkert
Priority: critical Milestone: 5.0.0-rc1
Component: Bio-Formats Version: 5.0.0-beta1
Keywords: n.a. Cc: christophe.trefois@…, bf@…
Resources: n.a. Referenced By: n.a.
References: n.a. Remaining Time: n.a.
Sprint: n.a.

Description

See: http://lists.openmicroscopy.org.uk/pipermail/ome-users/2013-November/004083.html

Flex files can be configured to read files from a net share. This happens on the client-side. In OMERO5, with the client being re-used to read the files server-side, the files are not being found:

2013-11-28 13:40:30,060 INFO  [              loci.formats.FormatHandler] (3-thread-5) Building list of valid .flex files
2013-11-28 13:40:30,060 INFO  [              loci.formats.FormatHandler] (3-thread-5) Looking for files that are in the same dataset as /home/omero/OMERO.data/ManagedRepository/root_0/2013-11/28/13-37-47.221/Y;/OperaDB_Backups/20
13/2013_11/OperaDB_2013_Nov/Christophe Trefois/CT 2013.11.08_Rotenone_Paraquat/CT 20131108_Rot_Para_P1/Meas_01/Meas_01(2013-11-08_12-29-06).mea
2013-11-28 13:40:30,060 DEBUG [                   loci.formats.Memoizer] (3-thread-5) start[1385646029916] time[144] tag[loci.formats.Memoizer.setId]
2013-11-28 13:40:30,061 INFO  [  o.s.b.r.ManagedImportRequestI.@18e2742] (3-thread-5) Cancelled
2013-11-28 13:40:30,061 INFO  [                 org.perf4j.TimingLogger] (3-thread-5) start[1385646029839] time[221] tag[omero.request]
2013-11-28 13:40:30,062 INFO  [                 org.perf4j.TimingLogger] (3-thread-5) start[1385646029827] time[234] tag[omero.call.exception]
2013-11-28 13:40:30,062 INFO  [        ome.services.util.ServiceHandler] (3-thread-5)  Excp:    omero.cmd.HandleI$Cancel: error-on-init
2013-11-28 13:40:30,062 DEBUG [  o.s.b.r.ManagedImportRequestI.@18e2742] (3-thread-5) Request cancelled by loci.formats.FormatException: .flex files were not found. Did you forget to specify the server names?

from the log file in QA 7752.

Change History (1)

comment:1 Changed 7 years ago by mlinkert

  • Resolution set to fixed
  • Status changed from new to closed

Should be fixed with https://github.com/openmicroscopy/bioformats/pull/819 and https://github.com/openmicroscopy/openmicroscopy/pull/1867. Server-side server mappings are not required; this just uses Bio-Formats' ID mapping to allow ImportLibrary to send all files to the same directory on import into the server.

Note: See TracTickets for help on using tickets. You may also have a look at Agilo extensions to the ticket.

1.3.13-PRO © 2008-2011 Agilo Software all rights reserved (this page was served in: 0.215351 sec.)

We're Hiring!